Name:       crudminer
Version:    0.3.2
Release:    13%{?dist}
Summary:    Find and report insecure web software in a web root

Group:      Applications/System
License:    GPLv3
URL:        https://github.com/mricon/CrudMiner
Source0:    https://github.com/downloads/mricon/CrudMiner/crudminer-%{version}.tar.gz
Patch0:     crudminer-%{version}-system-paths.patch
BuildArch:  noarch

%description
Locate vulnerable software in a web root by comparing the installed files
against a list of insecure products.

%prep
%setup -q
%patch0 -p1 -b .paths


%build


%install
rm -rf %{buildroot}
mkdir -p -m0755 \
    %{buildroot}%{_sysconfdir}/crudminer \
    %{buildroot}%{_localstatedir}/lib/crudminer \
    %{buildroot}%{_bindir} \
    %{buildroot}%{_mandir}/man5
install -p -m 0755 crudminer.py %{buildroot}%{_bindir}/crudminer
install -p -m 0644 *.ini %{buildroot}%{_sysconfdir}/crudminer/
install -p -m 0644 crudminer.5 %{buildroot}%{_mandir}/man5/


%files
%doc tests COPYING TODO README.rst
%dir %{_sysconfdir}/crudminer
%dir %{_localstatedir}/lib/crudminer
%config(noreplace) %{_sysconfdir}/crudminer/*.ini
%{_bindir}/*
%{_mandir}/man5/*

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.2-2
- Update summary to be more descriptive.
- Minor readability fixes.

* Fri Oct 21 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.2-1
- New version 0.3.2
- Man file is now bundled.
- sharedstatedir doesn't exist in older RPMs, use localstatedir/lib

* Wed Oct 19 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3-1
- Initial packaging.

